petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCSPAI

Use the Sparse Approximate Inverse method of Grote and Barnard as a preconditioner (SIAM J. Sci. Comput.; vol 18, nr 3)

### Options Database Keys

| -pc_spai_epsilon <eps> | - set tolerance
| -pc_spai_nbstep <n> | - set nbsteps
| -pc_spai_max <m> | - set max
| -pc_spai_max_new <m> | - set maxnew
| -pc_spai_block_size <n> | - set block size
| -pc_spai_cache_size <n> | - set cache size
| -pc_spai_sp <m> | - set sp
| -pc_spai_set_verbose <true,false> | - verbose output

### Notes

This only works with AIJ matrices.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCSPAISetEpsilon(), PCSPAISetMax(), PCSPAISetMaxNew(), PCSPAISetBlockSize(), PCSPAISetVerbose(), PCSPAISetSp()

### Level

beginner

### Location

src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages